/*____________________________________________________________________________
Copyright (C) 2000 Networks Associates Technology, Inc.
All rights reserved.

$Id: FrmMain_Menu.java,v 1.1 2003/10/27 23:46:20 ishabtay Exp $
____________________________________________________________________________*/

/************************************************************
 *
 * Filename:		FrmMain_Menu.java
 *
 * Author:		Alex Faieta
 * Date:		September 12, 2001
 * Editor:		Notepad
 * Java Version:	Sun Java 1.3.1
 * Description:		
 *
 ************************************************************/




public final class FrmMain_Menu
{
	// String array of all the main menu items
	private static final String[] m_MainMenu = {	"File",
								"Run Custom Command...", "Exit",
							"Keys",
								"Generate New...", "List Keys...", "List Key Info...", "Import Keys...",
							"Encrypt",
								"Encrypt File...", "Decrypt File...", "Compare Files...", "Wipe Files...",
							"Help",
								"Commands", "About"	};

	// MAIN MENUS
	public static final int FILE_MENU_IDX		= 0;
	public static final int KEYS_MENU_IDX		= 1;
	public static final int ENCRYPT_MENU_IDX	= 2;
	public static final int HELP_MENU_IDX		= 3;

	// MENU ITEMS
	public static final int FILE			= 0;
	public static final int FILE_RUN_COMMAND	= FILE + 1;
	public static final int FILE_EXIT		= FILE + 2;

	public static final int KEYS			= FILE_EXIT + 1;
	public static final int KEYS_GEN_NEW		= KEYS + 1;
	public static final int KEYS_LIST_KEYS		= KEYS + 2;
	public static final int KEYS_LIST_KEY_INFO	= KEYS + 3;
	public static final int KEYS_IMPORT_KEYS	= KEYS + 4;

	public static final int ENCRYPT			= KEYS_IMPORT_KEYS + 1;
	public static final int ENCRYPT_ENC_FILE	= ENCRYPT + 1;
	public static final int ENCRYPT_DEC_FILE	= ENCRYPT + 2;
	public static final int ENCRYPT_COMPARE		= ENCRYPT + 3;
	public static final int ENCRYPT_WIPE_FILES	= ENCRYPT + 4;

	public static final int HELP			= ENCRYPT_WIPE_FILES + 1;
	public static final int HELP_COMMANDS		= HELP + 1;
	public static final int HELP_ABOUT		= HELP + 2;


	/**
	 * Get the menu caption of the index parameter
	 */
	public static String getCaption( int nodeIdx )
	{
		if( 0 <= nodeIdx || nodeIdx < m_MainMenu.length )
			return m_MainMenu[ nodeIdx ];

		return new String();
	}
}
