/*____________________________________________________________________________
Copyright (C) 2000 Networks Associates Technology, Inc.
All rights reserved.

$Id: PGPHelp.java,v 1.1 2003/10/27 23:46:20 ishabtay Exp $
____________________________________________________________________________*/

/************************************************************
 *
 * Filename:		PGPHelp.java
 *
 * Author:		Alex Faieta
 * Date:		September 13, 2001
 * Editor:		Notepad
 * Java Version:	Sun Java 1.3.1
 * Description:
 *
 ************************************************************/

// PGPeBizJava packags
import com.mcafee.ebs.EBiz;


public class PGPHelp
{
	private PGPRun m_run = null;


	/**
	 * Ctor setup
	 */
	public PGPHelp( EBiz biz )
	{
		m_run = new PGPRun( biz );
	}

	/**
	 * Gets the help of a PGP command supplied
	 */
	public String getHelp( String stream )
	{
		return m_run.runCommand( PGPeBizJava_CmdlineArgs.C_HELP_CMDLINE + " " +
					 stream );
	}

	/**
	 * Gets the version of PGP currently installed
	 */
	public String getVersion()
	{
		return m_run.runCommand( PGPeBizJava_CmdlineArgs.C_VERSION_CMDLINE );
	}
}
