/*____________________________________________________________________________
Copyright (C) 2000 Networks Associates Technology, Inc.
All rights reserved.

$Id: PGPeBizJava_Prompts.java,v 1.1 2003/10/27 23:46:21 ishabtay Exp $
____________________________________________________________________________*/

/************************************************************
 *
 * Filename:		PGPeBizJava_Prompts.java
 *
 * Author:		Alex Faieta
 * Date:		September 17, 2001
 * Editor:		Notepad
 * Java Version:	Sun Java 1.3.1
 * Description:		Resource file for all the display
 *			controls within this application.
 *
 ************************************************************/


public final class PGPeBizJava_Prompts
{
	// FORM CAPTIONS
	public static final String FORM_ABOUT_CAPTION		= "About eBiz Java";
	public static final String FORM_WIPE_FILES_CAPTION	= "Wipe Files...";
	public static final String FORM_RUN_COMMAND_CAPTION	= "Run Custom Command";
	public static final String FORM_HELP_COMMANDS_CAPTION	= "PGPeBiz Commands Help";
	public static final String FORM_KEY_GEN_NEW_CAPTION	= "Generate New Key...";
	public static final String FORM_KEY_INFO_CAPTION	= "Key Detail Info...";
	public static final String FORM_KEY_LIST_KEYS_CAPTION	= "List Keys...";
	public static final String FORM_ENCRYPT_FILES_CAPTION	= "Encrypt Files...";
	public static final String FORM_DECRYPT_FILES_CAPTION	= "Decrypt Files...";
	public static final String FORM_COMPARE_FILES_CAPTION	= "Compare Files...";
	public static final String FORM_MAIN_CAPTION		= "eBiz Sun Java Sample";


	// ENCRYPTION COMMAND BUTTON MESSAGES
	public static final String ENCR_WIPE_FILES_MSG		= "Wipe Files...";
	public static final String ENCR_ENCRYPT_FILES_MSG	= "Encrypt Files...";
	public static final String ENCR_DECRYPT_FILES_MSG	= "Decrypt Files...";
	public static final String ENCR_COMPARE_FILES_MSG	= "Compare Files...";


	// ENCRYPTION USER MESSAGES
	public static final String ENCR_ENCRYPT_SUCCESS_MSG	= "File encrypted successful!";
	public static final String ENCR_ENCRYPT_UNSUCCESS_MSG	= "File encrypted unsuccessful.";
	public static final String ENCR_DECRYPT_SUCCESS_MSG	= "File decrypted successful!";
	public static final String ENCR_DECRYPT_UNSUCCESS_MSG	= "File decrypted unsuccussful.";
	public static final String ENCR_COMPARE_SUCCESS_MSG	= "Comparison match successful!";
	public static final String ENCR_COMPARE_UNSUCCESS_MSG	= "Comparison match unsuccessful.";
	public static final String ENCR_WIPE_SUCCESS_MSG	= "File wipe successful!";
	public static final String ENCR_WIPE_UNSUCCESS_MSG	= "File wipe unsuccessful.";


	// HELP COMMAND BUTTONS
	public static final String HELP_SELECT_CMD_MSG		= "Select a command:";


	// KEY TYPE USER MESSAGES
	public static final String KEY_EXPORT_MSG		= "Export...";
	public static final String KEY_EXPORT_CURRENT_KEY_MSG	= "Export current PGP key?";
	public static final String KEY_EXPORT_CURRENT_KEY_TITLE	= "Exporting Key...";
	public static final String KEY_IMPORT_CURRENT_KEY_TITLE	= "Importing Key...";
	public static final String KEY_ADD_NEW_MSG		= "Add Key...";
	public static final String KEY_LOAD_ID_MSG		= "Load ID...";
	public static final String KEY_DELETE_ID_MSG		= "Delete ID...";
	public static final String KEY_LOAD_NEW_ID_MSG		= "Enter a PGP key ID:";
	public static final String KEY_LOAD_NEW_ID_TITLE	= "Load Key...";
	public static final String KEY_DELETE_CURRENT_KEY_MSG	= "Delete current PGP key?";
	public static final String KEY_DELETE_CURRENT_KEY_TITLE	= "Deleting Key...";
	public static final String KEY_DELETE_MULTI_KEYS_MSG	= "Delete currently selected PGP keys?";
	public static final String KEY_DELETE_MULTI_KEYS_TITLE	= "Deleting Keys...";
	public static final String KEY_VIEW_KEY_INFO_MSG	= "View Info...";


	// KEY GENERATION MESSAGES
	public static final String KEY_GEN_PASS_PHRASES_NO_MATCH_MSG	= "Pass phrases do not match.";
	public static final String KEY_GEN_RSA_LEGACY_3072_BIT_ERR_MSG	= "RSA Legacy public key algorithm and 3072 bit DH size not available.";
	public static final String KEY_GEN_NEW_INCOMPLETE_DATA_MSG	= "Form entry incomplete";
	public static final String KEY_GEN_NEW_INCOMPLETE_DATA_TITLE	= "Error Adding Key...";
	public static final String KEY_GEN_NEW_SUCCESS_MSG		= "Generated key added successful!";
	public static final String KEY_GEN_NEW_SUCCESS_TITLE		= "New Key Added...";
	public static final String KEY_GEN_NEW_UNSUCCESSFUL_MSG		= "Generated key unsuccessful.";
	public static final String KEY_GEN_NEW_UNSUCCESSFUL_TITLE	= "Error Adding Key...";
	public static final String KEY_GEN_PUBLIC_ALG_LBL		= "Public-key algorithm:";
	public static final String KEY_GEN_DH_KEY_SIZE_LBL		= "DH key size:";
	public static final String KEY_GEN_USER_ID_LBL			= "User ID:";
	public static final String KEY_GEN_PASS_PHRASE_LBL		= "Pass phrase:";
	public static final String KEY_GEN_PASS_PHRASE_CONFIRM_LBL	= "Confirm pass phrase:";
	public static final String KEY_EXPORT_KEY_SUCCESS_MSG		= "Export key successful!";
	public static final String KEY_EXPORT_KEY_UNSUCCESS_MSG		= "Export key unsuccessful.";
	public static final String KEY_IMPORT_KEY_SUCCESS_MSG		= "Import key successful!";
	public static final String KEY_IMPORT_KEY_UNSUCCESS_MSG		= "Import key unsuccessful.";


	// COMMON COMMAND BUTTON MESSAGES
	public static final char COMMON_PASSWORD_CHAR_MSG	= '*';
	public static final String COMMON_RUN_COMMAND_MSG	= "Run";
	public static final String COMMON_CLEAR_MSG		= "Clear";
	public static final String COMMON_CANCEL_MSG		= "Cancel";
	public static final String COMMON_REFRESH_MSG		= "Refresh";
}
